View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17067Bug reportsExpression Managerpublic2021-03-03 15:00
Reportertammo Assigned Toollehar  
PrioritynormalSeveritypartial_block 
Status assignedResolutionopen 
Product Version3.25.11 
Target Version3.x 
Summary17067: Expression in array by column does not work
DescriptionActually 2 errors:
1. Relevance of column: q5 == "Y" does not seem to work
2. When by accident you type the relevance for the column as q5 = "Y" it changes q5 in the database, where it should give an error message, I guess...
Steps To ReproduceLoad survey, on first page indicate "Nee"
On second page observe: Column B still shown, although relevance is q5 == "Y"
On thirdd page observe: q5 suddenly has changed from "N" to "Y" although values should not change through relevance equations.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.25.11
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionMySQL
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version7.3.27

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tammo

tammo

2021-02-08 19:58

developer  

tammo

tammo

2021-02-09 12:21

developer   ~62066

It is much simpler: even typing in 0 for relevance for a column does not work in the array by column question.
DenisChenu

DenisChenu

2021-02-09 12:25

developer   ~62067

It never work … the issue are "relevance are shown" .

To have a real column relevance : we must construct a relevance:on/off for column with javascript :)
tammo

tammo

2021-02-09 12:30

developer   ~62069

Denis: do you mean that this never has worked before?

What is the use of the relevance field in this question type then? Showing the relevance field actually "promises" that relevances work for columns...

Do you know a resource that shows how this can be done. My knowledge is Javascript is low... ;-(
DenisChenu

DenisChenu

2021-02-09 13:19

developer   ~62073

> Denis: do you mean that this never has worked before?

Yes : filter by columns was **never** added in Expression manager

> What is the use of the relevance field in this question type then?

It's an issue

> Do you know a resource that shows how this can be done. My knowledge is Javascript is low... ;-(

https://gitlab.com/SondagesPro/QuestionSettingsType/hideEmptyColumn
https://extensions.sondages.pro/questions-updating-and-managing/hideemptycolumn/documentation.html

Demo on 3LTS : https://demo.sondages.pro/655577#

See TABCOL

Must be improved to be used as question settings (here : apply on whole survey …)
ollehar

ollehar

2021-03-02 19:49

administrator   ~62622

Is this blocking or should it be something else?
tammo

tammo

2021-03-02 19:57

developer   ~62623

Not blocking, but misleading. Cost me several hours to detect and make a bug report. While this was already known.

I guess the easiest thing to do is not show relevance fields and perhaps a message that relevance on column level does not work according to bug number such and so. That would be a bummer to the user, but more clear than showing relevance fields that do nothing....
DenisChenu

DenisChenu

2021-03-03 08:16

developer   ~62629

`partial_block`, and clearly : it's a new issue , we don't have filter on array by column before.
tammo

tammo

2021-03-03 10:11

developer   ~62630

Temporary solution: take away the relevance field at the columns. It promises something that is not there.

Good solution: make it work....
DenisChenu

DenisChenu

2021-03-03 10:15

developer   ~62631

> Good solution: make it work....

This need a total rewriting of all js done by Expression Manager …
Even my plugin don't hide dynamically the columns …

The your temporary solution are a long solution …
ollehar

ollehar

2021-03-03 10:20

administrator   ~62632

Last edited: 2021-03-03 10:21

View 2 revisions

I agree that it should either be hidden or fixed. If fixed is hard, let's hide relevance equation for this question type for subquestions.
DenisChenu

DenisChenu

2021-03-03 10:22

developer   ~62633

> if fixed is hard,

lol … hidding column via javascript ? we have tons of issue with this feature.
tammo

tammo

2021-03-03 12:19

developer   ~62634

BTW: I have used Denis'solution, this worked in this case.

https://gitlab.com/SondagesPro/QuestionSettingsType/hideEmptyColumn
ollehar

ollehar

2021-03-03 14:45

administrator   ~62650

Last edited: 2021-03-03 14:45

View 2 revisions

Same issue? https://bugs.limesurvey.org/view.php?id=16610 "16610: Conditionals with Array Dual Scale not working?"
DenisChenu

DenisChenu

2021-03-03 15:00

developer   ~62659

> 16610: Conditionals with Array Dual Scale not working?

No , not related , maybe issue with condition and number

Issue History

Date Modified Username Field Change
2021-02-08 19:58 tammo New Issue
2021-02-08 19:58 tammo File Added: limesurvey_survey_642794.lss
2021-02-09 12:21 tammo Note Added: 62066
2021-02-09 12:21 tammo File Added: Firefox_Screenshot_2021-02-09T11-18-29.574Z.png
2021-02-09 12:22 tammo Description Updated View Revisions
2021-02-09 12:22 tammo Steps to Reproduce Updated View Revisions
2021-02-09 12:25 DenisChenu Note Added: 62067
2021-02-09 12:30 tammo Note Added: 62069
2021-02-09 13:19 DenisChenu Note Added: 62073
2021-03-02 19:49 ollehar Note Added: 62622
2021-03-02 19:49 ollehar Assigned To => ollehar
2021-03-02 19:49 ollehar Status new => feedback
2021-03-02 19:57 tammo Note Added: 62623
2021-03-02 19:57 tammo Status feedback => assigned
2021-03-03 08:16 DenisChenu Note Added: 62629
2021-03-03 10:11 tammo Note Added: 62630
2021-03-03 10:15 DenisChenu Note Added: 62631
2021-03-03 10:20 ollehar Priority none => normal
2021-03-03 10:20 ollehar Severity block => partial_block
2021-03-03 10:20 ollehar Note Added: 62632
2021-03-03 10:21 ollehar Note Edited: 62632 View Revisions
2021-03-03 10:22 DenisChenu Note Added: 62633
2021-03-03 12:19 tammo Note Added: 62634
2021-03-03 14:45 ollehar Note Added: 62650
2021-03-03 14:45 ollehar Note Edited: 62650 View Revisions
2021-03-03 15:00 DenisChenu Note Added: 62659